package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 限定项目表
 * @TableName restrict_project
 */
public class RestrictProject implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * 项目编号
     */
    private String pid;

    /**
     * 客户编号
     */
    private String uid;

    /**
     * 归属人
     */
    private String aid;

    /**
     * 分类 0=公共限定，1=私有限定，2=签单限定
     */
    private Integer type;

    /**
     * 锁定时间
     */
    private Date lockTime;

    /**
     * 释放时间
     */
    private Date releaseTime;
    /**
     * 最后跟进时间
     */
    private Date lastFollowTime;

    /**
     * 发起时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public RestrictProject(String buyerId, String commodityId) {
        setUid(buyerId);
        setPid(commodityId);
    }

    public RestrictProject() {
    }

    /**
     * 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 项目编号
     */
    public String getPid() {
        return pid;
    }

    /**
     * 项目编号
     */
    public void setPid(String pid) {
        this.pid = pid;
    }

    /**
     * 客户编号
     */
    public String getUid() {
        return uid;
    }

    /**
     * 客户编号
     */
    public void setUid(String uid) {
        this.uid = uid;
    }

    /**
     * 归属人
     */
    public String getAid() {
        return aid;
    }

    /**
     * 归属人
     */
    public void setAid(String aid) {
        this.aid = aid;
    }

    /**
     * 分类 0=公共限定，1=私有限定，2=签单限定
     */
    public Integer getType() {
        return type;
    }

    /**
     * 分类 0=公共限定，1=私有限定，2=签单限定
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 锁定时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getLockTime() {
        return lockTime;
    }

    /**
     * 锁定时间
     */
    public void setLockTime(Date lockTime) {
        this.lockTime = lockTime;
    }

    /**
     * 释放时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getReleaseTime() {
        return releaseTime;
    }

    /**
     * 释放时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    /**
     * 最后跟进时间
     */
    public Date getLastFollowTime() {
        return lastFollowTime;
    }

    /**
     * 最后跟进时间
     */
    public void setLastFollowTime(Date lastFollowTime) {
        this.lastFollowTime = lastFollowTime;
    }

    /**
     * 发起时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 发起时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}